%define upstream_name    Encode-JIS2K
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    JIS X 0212 (aka JIS 2000) Encodings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Encode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode) >= 1.410.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
Provides:   perl(Encode::JIS2K::2022JP3)

%{?perl_default_filter}

%description
To find out how to use this module in detail, see the Encode manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%perl_vendorarch/*

%changelog
* Thu Jun 18 2020 umeabot <umeabot> 0.30.0-12.mga8
+ Revision: 1595648
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.30.0-11.mga8
+ Revision: 1529457
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.30.0-10.mga8
+ Revision: 1433574
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.30.0-9.mga7
+ Revision: 1292835
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.30.0-8.mga7
+ Revision: 1249786
- Rebuild for perl 5.28
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.30.0-6.mga7
+ Revision: 1164297
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.30.0-5.mga7
+ Revision: 1148878
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.30.0-4.mga7
+ Revision: 1126653
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-3.mga6
+ Revision: 1026921
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.30.0-2.mga6
+ Revision: 957267
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.30.0-1.mga6
+ Revision: 843678
- update to 0.03

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-12.mga5
+ Revision: 750262
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.20.0-11.mga5
+ Revision: 732093
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-10.mga5
+ Revision: 684638
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.20.0-9.mga5
+ Revision: 631139
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.20.0-8.mga4
+ Revision: 524580
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.20.0-7.mga4
+ Revision: 431189
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-6.mga3
+ Revision: 366877
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.20.0-5.mga3
+ Revision: 250598
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.20.0-4.mga2
+ Revision: 104257
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.20.0-3.mga1
+ Revision: 31968
- mageia rebuild
- imported package perl-Encode-JIS2K

